Update Order

Use this endpoint to change the completedDate of an existing order

Authentication

AuthorizationBearer
This authentication type can be used to directly call the service.
OR
X-API-KEYstring
This authentication type is supported by using the provided API key for the merchant account.

Path parameters

connectionIdstringRequired>=36 characters
represents the ID of a connection. It is used as a unique identifier for the connection
orderIdstringRequired

Request

This endpoint expects an object.
completedDatestringOptionalformat: "date-time"
The date the order was shipped on, which created a tax liability

Response

OK
channelstring or null
what channel did this come from
connectionIdstring>=36 characters
represents the ID of a connection. It is used as a unique identifier for the connection
currencyobject
represents information about a currency including its code and denomination.
customerIdstring
customerId in external system
deliveredBySellerboolean
represents if the seller directly delivered the order.
destinationobject
the destination address of the order
excludeFromFilingbooleanDefaults to false
Whether to exclude from filing
exemptionobject
information about exemption on the order
kindenum
The kind of order, either credit or order. Defaults to order if not provided.
Allowed values:
lineItemslist of objects
orderIdstring
orderId in external system
originobject
the origin address of the order
transactionDatestringformat: "date-time"
The RFC3339 datetime string the order was purchased on
$schemastring or nullRead-onlyformat: "uri"
A URL to the JSON Schema for this object.
batchIdstring or null
Batch ID for grouping orders
completedDatestring or nullformat: "date-time"
The RFC3339 datetime string the order was shipped on, created a tax liability
refundslist of objects or null

refunds associated with this order when expand=refunds is specified

Errors